package ru.yandex.webmaster3.storage.util.yt.lock;

import ru.yandex.webmaster3.core.http.WebmasterErrorResponse;
import ru.yandex.webmaster3.storage.WebmasterStorageException;

/**
 * ishalaru
 * 16.11.2020
 **/
public class NodeDataUpdateException extends WebmasterStorageException {

    public NodeDataUpdateException(String message) {
        super(message);
    }

    @Override
    protected WebmasterErrorResponse errorResponse(Class cls) {
        return new WebmasterErrorResponse.YTServiceErrorResponse(cls, this);
    }
}
